% Paramterstudie fuer Rekuperationsmodell
% ---------------------------------------


run('daten');

% Motor auf voller Drehzahl, Einfluss der Pulsbreite

ergPWM = [];
pPWM = [];

for PWM=1:99
    sim('rekuperation.mdl',2000/f);
    ergPWM = cat(1,ergPWM,mean(messung(:,:)));
    pPWM = cat(1,pPWM, mean(power(:,:)));
end

PWM =1:99;
subplot(1,2,1);
plot(PWM,pPWM(:,1),PWM,pPWM(:,2))
title ('Mechanische und elektrische Leistung')
xlabel ('Pulsbreite (% an)')
ylabel ('Leistung (W)')
subplot(1,2,2);
plot (PWM,pPWM(:,1)./pPWM(:,2))
title ('Effizienz Rekuperation')
xlabel('Pulsbreite (% an)')
ylabel('Effizienz (0..1)')


% Motor auf voller Drehzahl, PWM std., Einfluss Frequenz

run('daten');

ergFreq = [];
vFreq = [];

for Freq = 2:200:20000;
    sim('rekuperation.mdl',2000/f);
    ergFreq = cat(1,ergFreq,mean(power(:,:)));
    vFreq = cat (1,vFreq,Freq);
end

figure;
plot(vFreq, ergFreq(:,1)./ergFreq(:,2))
title('Effizienz vs. PWM-Frequenz')
xlabel('PWM-Frequenz (Hz)')
ylabel('Effizienz (0..1)')


% Motor auf voller Drehzahl, PWM std., Einfluss Induktivitaet
run('daten');

ergLf = [];
vLf = [];
L0 = L;

for Lf = 0.1:0.1:10;
    L=L0*Lf;                                    %Faktor einfuegen
    sim('rekuperation.mdl',2000/f);
    L= L0;                                      % Wieder Standardwert herstellen
    ergLf = cat(1,ergLf,mean(power(:,:)));
    vLf = cat (1,vLf,Lf);
end

figure;
subplot(2,1,1)
semilogx(vLf, ergLf(:,1)./ergLf(:,2))
title('Effizienz vs. Induktivitaet')
xlabel('Induktivitaet (L/L0)')
ylabel('Effizienz (0..1)')

% Motor auf voller Drehzahl, PWM std., Einfluss Widerstand
run('daten');

ergRf = [];
vRf = [];
R0 = R;

for Rf = 0.1:0.1:10;
    R = R0*Rf;                                    %Faktor einfuegen
    sim('rekuperation.mdl',2000/f);
    R = R0;                                      % Wieder Standardwert herstellen
    ergRf = cat(1,ergRf,mean(power(:,:)));
    vRf = cat (1,vRf,Rf);
end

subplot(2,1,2)
semilogx(vRf, ergRf(:,1)./ergRf(:,2))
title('Effizienz vs. Widerstand')
xlabel('Widerstand (R/R0)')
ylabel('Effizienz (0..1)')


